Skip to main content
PATCH
/
internal
/
dogfood
/
support
/
conversations
/
{conversationId}
Reply to a conversation
curl --request PATCH \
  --url https://api.stack-auth.com/api/v1/internal/dogfood/support/conversations/{conversationId} \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "conversation": {
    "conversation_id": "<string>",
    "subject": "<string>",
    "status": "<string>",
    "priority": "<string>",
    "source": "<string>",
    "last_message_type": "<string>",
    "last_activity_at": "<string>",
    "metadata": {
      "tags": [
        "<string>"
      ],
      "assigned_to_user_id": "<string>",
      "assigned_to_display_name": "<string>",
      "first_response_due_at": "<string>",
      "first_response_at": "<string>",
      "next_response_due_at": "<string>",
      "last_customer_reply_at": "<string>",
      "last_agent_reply_at": "<string>"
    },
    "user_id": "<string>",
    "team_id": "<string>",
    "user_display_name": "<string>",
    "user_primary_email": "<string>",
    "user_profile_image_url": "<string>",
    "preview": "<string>"
  },
  "messages": [
    {
      "id": "<string>",
      "conversation_id": "<string>",
      "subject": "<string>",
      "status": "<string>",
      "priority": "<string>",
      "source": "<string>",
      "message_type": "<string>",
      "attachments": [
        {}
      ],
      "created_at": "<string>",
      "sender": {
        "type": "<string>",
        "id": "<string>",
        "display_name": "<string>",
        "primary_email": "<string>"
      },
      "user_id": "<string>",
      "team_id": "<string>",
      "body": "<string>",
      "metadata": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.hexclave.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

conversationId
string
required

Body

application/json
message
string
required

Response

200 - application/json

Successful response

conversation
object
required
messages
object[]
required